#!/bin/sh

MENU="📚 Dictionary\n🌍 Translate\n📖 Man Page\n🔐 Passwords\n📝 Notes\n🖼 Emoji Picker"

choice=$(printf "$MENU" | \
  bemenu -p "Choose:" -l 10 -c -M 500 \
    --fn 'Monospace 14' \
    --tb '#1d2021' --tf '#d8a657' --fb '#1d2021' --ff '#d4be98' \
    --cb '#7daea3' --cf '#1d2021' --nb '#1d2021' --nf '#d4be98' \
    --hb '#7daea3' --hf '#1d2021' --sb '#7daea3' --sf '#1d2021' \
    --ab '#1b1b1b' --af '#d4be98' --scb '#1d2021' --scf '#d4be98')

case "$choice" in
  "📚 Dictionary")
    word=$(bemenu -p "Define:")
    [ -n "$word" ] && alacritty -e sdcv "$word"
    ;;
  "🌍 Translate")
    phrase=$(bemenu -p "Translate:")
    [ -n "$phrase" ] && alacritty -e trans ":en" "$phrase"
    ;;
  "📖 Man Page")
    ~/.local/bin/man.sh
    ;;
  "🔐 Passwords")
    passmenu  # or gopass fzf if you're using gopass
    ;;
  "📝 Notes")
    note=$(bemenu-run -p "Note:")
    [ -n "$note" ] && echo "- $(date): $note" >> ~/notes/quick.md
    ;;
  "🖼 Emoji Picker")
	  wtype $(awk '{print $1, $0}' ~/.local/share/chars/emojis* | bemenu -p Emoji: -l 25 -c -M 500 --fn 'Noto Color Emoji,Monospace 14' --tb '#1d2021' --tf '#d8a657' --fb '#1d2021' --ff '#d4be98' --cb '#7daea3' --cf '#1d2021' --nb '#1d2021' --nf '#d4be98' --hb '#7daea3' --hf '#1d2021' --sb '#7daea3' --sf '#1d2021' --ab '#1b1b1b' --af '#d4be98' --scb '#1d2021' --scf '#d4be98' | awk '{print $1}')
    ;;
esac

